petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetType

Gets the DM type name (as a string) from the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMGetType(DM dm, DMType *type)

Not Collective

### Input Parameter

dm -The DM

### Output Parameter

type -The DM type name

### Keywords

DM, get, type, name

### See Also

DMSetType(), DMCreate()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages